#include <bits/stdc++.h>
using namespace std;

int main() {
    int n, l;
    cin >> n >> l;
    int res = -1;
    for(int i = 0; i < n; i++){
        int visina;
        cin >> visina;
        if (l >= visina){
            res = i + 1;
            break;
        }
    }
    cout << res;

    return 0; 
}